body {
  margin: 0;
}

@keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}
@keyframes rotateOpacity {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    opacity: 0.1;
  }
  100% {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
    opacity: 1;
  }
}

.loading-component-container {
  position: fixed;
  display: block;
  z-index: 9998;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  cursor: wait;
}

.loading-container, .loading-backdrop {
  position: fixed;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  cursor: wait;
}

.loading-container {
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.loading-backdrop {
  position: relative;
  opacity: 0.5;
  background-color: white;
}

.loading-logo-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 15px 20px;
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 5px;
  border: 1px solid #ffffff;
}

.loading-logo, .loading-text {
  height: 25px;
}

.loading-logo img {
  position: relative;
  height: 25px;
  animation: 2s linear infinite rotate;
}

@keyframes logo-animate {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.loading-text img {
  position: relative;
  height: 25px;
  margin-left: 4px;
}

.border-animation {
  animation: border-animate 2s ease-in-out infinite alternate;
}

@keyframes border-animate {
  to {
    border-color: #ffffff;
    box-shadow: 0 2px 20px 0 rgba(170, 179, 222, 0.1);
  }
  from {
    border-color: rgba(13, 25, 66, 0.3);
    box-shadow: 0 2px 20px 0 rgba(13, 25, 66, 0.35);
  }
}
